Bug 85803 - Keyboard accelerators don't work in gedit exit dialog
Keyboard accelerators don't work in gedit exit dialog
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gtk2 (Show other bugs)
8.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-07 17:50 EST by Pierre Sarrazin
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-10 18:24:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Sarrazin 2003-03-07 17:50:38 EST
Description of problem:
When exiting gedit while an unsaved document is opened, a dialog
appears to ask the user if the changes should be saved.  There
are three buttons in this dialog: Don't save, Cancel and Save.
They all have an underscore under a letter that should act as
the keyboard accelerator: n, C, and S respectively.  However,
pressing those keys does nothing.

Version-Release number of selected component (if applicable):
gedit 2.0.2

How reproducible:
Every time.

Steps to Reproduce:
1. Open a new document and type 'x' in it.
2. Ctrl-Q to quit -- this should display the dialog.
3. Try to say "Don't save" by typing 'n' -- make sure that
   the focus is on the dialog.
    
Actual results:
Nothing happens.

Expected results:
gedit should quit without saving.
Comment 1 Havoc Pennington 2003-03-07 17:56:10 EST
You have to type "Alt+n" not just "n"

The GNOME keynav plans suggest only "n" in the case where there aren't editable
widgets in the dialog, but gtk doesn't implement that yet. Not sure if 
this bug already exists on bugzilla.gnome.org, that's where it should be tracked.
Comment 2 Owen Taylor 2003-06-10 18:24:16 EDT
Upstream is:

 http://bugzilla.gnome.org/show_bug.cgi?id=73431

Note You need to log in before you can comment on or make changes to this bug.